#include <stdio.h>
#include <stdlib.h>
#include "liss_bool.h"
#include "liss_list.h"
#include "liss_set.h"

void main()
{
	int a = -1, int1 = -2, int2 = -3;
	int b = 0, flag = 1;
	elem liss0[] = {10, 20, 30, 40, 50}, liss1[] = {1, 2};
	list seq1 = newInitList(liss0, 5), seq3 = newInitList(liss1, 2), seq2 = newList();

	for(a=1; a<=5; a+=1)
	{
		addElemList(getHeadList(seq1) * a, seq2);
	}

	addElemList(getHeadList(seq1), seq2);

	addElemList(getHeadList(seq1) * 2, seq2);

	printList(seq2);
	printf("\n");

	while (isMemberList(10, seq2))
	{
		remElemList(10, seq2);
		printList(seq2);
		printf("\n");
	}

	b = isMemberList(10, seq2);

	WriteBoolean(b);
	printf("\n");

}
